summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/post_build_executor_info.sh
diff options
context:
space:
mode:
authorDave Wallace <dwallacelf@gmail.com>2021-06-03 19:52:57 +0000
committerGerrit Code Review <gerrit@fd.io>2021-06-03 19:52:57 +0000
commitbee2070d4a089ed9badba8d2ecd95a7ea82d3085 (patch)
tree889d3f1ab65b1cf9799a3353eb5ad4733498ac7f /jjb/scripts/post_build_executor_info.sh
parentdfc3471ba2fc8c0f68668b18d8968959c4a8c46d (diff)
parent08c4bd59672f308b3a871e063e103909040df394 (diff)
Merge "JJB: Include perf analysis per job"
Diffstat (limited to 'jjb/scripts/post_build_executor_info.sh')
-rwxr-xr-xjjb/scripts/post_build_executor_info.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/jjb/scripts/post_build_executor_info.sh b/jjb/scripts/post_build_executor_info.sh
index f98666676..fef79814e 100755
--- a/jjb/scripts/post_build_executor_info.sh
+++ b/jjb/scripts/post_build_executor_info.sh
@@ -45,3 +45,14 @@ if [ -n "$(which ccache)" ] ; then
fi
echo "$long_line"
+
+# Avoid sar anomaly on centos-7 in global-jjb/shell/logs-deploy.sh
+#
+# Note: VPP 20.09 will be removed in the next release cycle (21.10),
+# therefore this hack is better than polluting the docker image
+# build scripts with code to avoid installing sysstat on centos-7.
+#
+# TODO: Remove when vpp-*-2009-centos7-x86_64 jobs are removed
+if [ "$OS_ID" = "centos" ] && [ "$OS_VERSION_ID" = "7" ] ; then
+ sudo yum remove -y sysstat >& /dev/null || true
+fi